﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task dataforseo_labs_app_intersection_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-dashboard
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            postData.Add(new
            {
                app_ids = new Dictionary<string, string>
                {
                  { "1", "org.telegram.messenger" },
                  { "2", "com.zhiliaoapp.musically" }
                },
	            language_code = "en",
	            location_code = 2840,
	            filters = new object[] {
                    "keyword_data.keyword_info.search_volume",
                    ">",
                    10000
                },
	            order_by = new object[] {
                    "keyword_data.keyword_info.search_volume,desc"
                },
	            limit = 10,
            });
            // POST /v3/dataforseo_labs/google/app_intersection/live
            // POST /v3/dataforseo_labs/apple/app_intersection/live
            // the full list of possible parameters is available in documentation

            var taskPostResponse = await httpClient.PostAsync("/v3/dataforseo_labs/google/app_intersection/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
