﻿using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task merchant_google_sellers_ad_url()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-dashboard
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // get ad_url by the ad_aclk
            // GET /v3/merchant/google/sellers/ad_url/$ad_aclk
            // use the ad_aclk that you received upon a sellers task
            string ad_aclk = "DChcSEwiSl5TKpbPoAhVFmdUKHfa_B_wYABADGgJ3cw&sig";
            var taskGetResponse = await httpClient.GetAsync("/v3/merchant/google/sellers/ad_url/" + ad_aclk);
            var result = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
            if (result.tasks != null)
            {
                foreach (var taskResult in result.tasks)
                {
                    var fst = taskResult.First;
                    // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                    if (fst.status_code >= 40000 || fst.result == null)
                        Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                    else
                        // do something with result
                        Console.WriteLine(String.Join(Environment.NewLine, fst));
                }
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
