﻿using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task on_page_summary()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-dashboard
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get summary for task
            // GET /v3/on_page/summary/$id
            // use the task identifier that you recieved upon setting a task
            string id = "07281559-0695-0216-0000-c269be8b7592";
            var taskGetResponse = await httpClient.GetAsync("/v3/on_page/summary/" + id);
            var result = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
            if (result.tasks != null)
            {
                foreach (var taskResult in result.tasks)
                {
                    // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                    if (taskResult.status_code >= 40000 || taskResult.result == null)
                        Console.WriteLine($"error. Code: {taskResult.status_code} Message: {taskResult.status_message}");
                    else
                        // do something with result
                        Console.WriteLine(String.Join(Environment.NewLine, taskResult));
                }
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}